package com.caliverse.admin.domain.dao.admin;

import java.util.List;
import java.util.Map;

import com.caliverse.admin.domain.entity.WhiteList;

public interface WhiteListMapper {

    // 화이트 리스트 조회
    List<WhiteList> getWhiteList();

    Map<String,String> getGuidById(Long id);

    int getCountByGuid(String guid);
    //화이트리스트 등록
    int postWhiteList(Map<String, Object> map);

    //선택 승인
    int updateStatus(Long id);
    //선택 삭제
    void deleteWhiteList(Long id);
}
